Hello--we're a Netware 6 SBS site (running SP2) and iFolder version

We have "upgrade protection" (through a VLA) on our server, set to
expire in February 2004. I've been reading about iFolder 2.0, yet I find no way to get it, and it's not listed on Novell's products page (http://support.novell.com/products/psMenu.jsp).

Shouldn't we qualify to receive it through our upgrade protection?